ADAM_2.12: CLI 1.0.1 API < Back
 

# Packages

-  package root
  Definition Classes
    root
-  package org
  Definition Classes
    root
-  package bdgenomics
  Definition Classes
    org
-  package adam
  Definition Classes
    bdgenomics
-  package cli
  Definition Classes
    adam
- ADAM2Fastq
- ADAM2FastqArgs
- ADAMMain
- ADAMModule
- About
- CommandGroup
- CountReadKmers
- CountReadKmersArgs
- CountSliceKmers
- CountSliceKmersArgs
- Coverage
- CoverageArgs
- FlagStat
- FlagStatArgs
- MergeShards
- MergeShardsArgs
- PrintADAM
- PrintADAMArgs
- TransformAlignments
- TransformAlignmentsArgs
- TransformFeatures
- TransformFeaturesArgs
- TransformFragments
- TransformFragmentsArgs
- TransformGenotypes
- TransformGenotypesArgs
- TransformSequences
- TransformSequencesArgs
- TransformSlices
- TransformSlicesArgs
- TransformVariants
- TransformVariantsArgs
- View
- ViewArgs

c

org.bdgenomics.adam.cli

# ADAM2FastqArgs 

###

#### class ADAM2FastqArgs extends Args4jBase with CramArgs

Linear Supertypes
CramArgs, Args4jBase, AnyRef, Any
 
Ordering

1. Alphabetic
2. By Inheritance

Inherited

1. ADAM2FastqArgs
2. CramArgs
3. Args4jBase
4. AnyRef
5. Any

1. Hide All
2. Show All

Visibility

1. Public
2. All

### Instance Constructors

1.  new ADAM2FastqArgs()

### Value Members

1.  final def !=(arg0: Any): Boolean
   Definition Classes
     AnyRef → Any
2.  final def ##(): Int
   Definition Classes
     AnyRef → Any
3.  final def ==(arg0: Any): Boolean
   Definition Classes
     AnyRef → Any
4.  final def asInstanceOf[T0]: T0
   Definition Classes
     Any
5.  var asSingleFile: Boolean
6.  def clone(): AnyRef
   Attributes
     protected[lang]
   Definition Classes
     AnyRef
   Annotations
     @throws( ... ) @native() @HotSpotIntrinsicCandidate()
7.  def configureCramFormat(sc: SparkContext): Option[Unit]

   Configure CRAM format.

   Configure CRAM format.

   sc

     Spark context to configure

   Definition Classes
     CramArgs
8.  val cramReference: String
   Definition Classes
     CramArgs
   Annotations
     @Option()
9.  var disableFastConcat: Boolean
10.  var disableProjection: Boolean
11.  var doPrintUsage: Boolean
    Definition Classes
      Args4jBase
12.  final def eq(arg0: AnyRef): Boolean
    Definition Classes
      AnyRef
13.  def equals(arg0: Any): Boolean
    Definition Classes
      AnyRef → Any
14.  final def getClass(): Class[_]
    Definition Classes
      AnyRef → Any
    Annotations
      @native() @HotSpotIntrinsicCandidate()
15.  def hashCode(): Int
    Definition Classes
      AnyRef → Any
    Annotations
      @native() @HotSpotIntrinsicCandidate()
16.  var inputPath: String
17.  final def isInstanceOf[T0]: Boolean
    Definition Classes
      Any
18.  final def ne(arg0: AnyRef): Boolean
    Definition Classes
      AnyRef
19.  final def notify(): Unit
    Definition Classes
      AnyRef
    Annotations
      @native() @HotSpotIntrinsicCandidate()
20.  final def notifyAll(): Unit
    Definition Classes
      AnyRef
    Annotations
      @native() @HotSpotIntrinsicCandidate()
21.  var outputPath: String
22.  var outputPath2: String
23.  var persistLevel: String
24.  var repartition: Int
25.  final def synchronized[T0](arg0: ⇒ T0): T0
    Definition Classes
      AnyRef
26.  def toString(): String
    Definition Classes
      AnyRef → Any
27.  var validationStringency: ValidationStringency
28.  final def wait(arg0: Long, arg1: Int): Unit
    Definition Classes
      AnyRef
    Annotations
      @throws( ... )
29.  final def wait(arg0: Long): Unit
    Definition Classes
      AnyRef
    Annotations
      @throws( ... ) @native()
30.  final def wait(): Unit
    Definition Classes
      AnyRef
    Annotations
      @throws( ... )
31.  var writeOriginalQualityScores: Boolean

### Deprecated Value Members

1.  def finalize(): Unit
   Attributes
     protected[lang]
   Definition Classes
     AnyRef
   Annotations
     @throws( classOf[java.lang.Throwable] ) @Deprecated
   Deprecated

### Inherited from CramArgs

### Inherited from Args4jBase

### Inherited from AnyRef

### Inherited from Any

### Ungrouped